[xiph-cvs] cvs commit: vorbis autogen.sh configure.in

Ralph Giles giles at xiph.org
Tue Oct 31 10:57:39 PST 2000



giles       00/10/31 10:57:39

  Modified:    .        Tag: branch_beta3 autogen.sh configure.in
  Log:
  propagating build system cleanup from other modules

Revision  Changes    Path
No                   revision

No                   revision

1.2.2.1   +23 -9     vorbis/autogen.sh

Index: autogen.sh
===================================================================
RCS file: /usr/local/cvsroot/vorbis/autogen.sh,v
retrieving revision 1.2
retrieving revision 1.2.2.1
diff -u -r1.2 -r1.2.2.1
--- autogen.sh	2000/10/12 03:12:36	1.2
+++ autogen.sh	2000/10/31 18:57:38	1.2.2.1
@@ -1,7 +1,9 @@
 #!/bin/sh
-# Run this to generate all the initial makefiles, etc.
-# (basically ripped directly from enlightenment's autogen.sh)
+# Run this to set up the build system: configure, makefiles, etc.
+# (based on the version in enlightenment's cvs)
 
+package="vorbis"
+
 srcdir=`dirname $0`
 test -z "$srcdir" && srcdir=.
 
@@ -10,7 +12,7 @@
 
 (autoconf --version) < /dev/null > /dev/null 2>&1 || {
         echo
-        echo "You must have autoconf installed to compile libvorbis."
+        echo "You must have autoconf installed to compile $package."
         echo "Download the appropriate package for your distribution,"
         echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
         DIE=1
@@ -18,12 +20,22 @@
 
 (automake --version) < /dev/null > /dev/null 2>&1 || {
         echo
-        echo "You must have automake installed to compile libvorbis."
-        echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.3.tar.gz"
-        echo "(or a newer version if it is available)"
+        echo "You must have automake installed to compile $package."
+	echo "Download the appropriate package for your system,
+	echo "or get the source from one of the GNU ftp sites"
+	echo "listed in http://www.gnu.org/order/ftp.html"
         DIE=1
 }
 
+(libtool --version) < /dev/null > /dev/null 2>&1 || {
+	echo
+	echo "You must have libtool installed to compile $package."
+	echo "Download the appropriate package for your system,
+	echo "or get the source from one of the GNU ftp sites"
+	echo "listed in http://www.gnu.org/order/ftp.html"
+	DIE=1
+}
+
 if test "$DIE" -eq 1; then
         exit 1
 fi
@@ -33,12 +45,14 @@
         echo "to pass any to it, please specify them on the $0 command line."
 fi
 
-echo "Generating configuration files for libvorbis, please wait...."
+echo "Generating configuration files for $package, please wait...."
 
 echo "  aclocal $ACLOCAL_FLAGS"
 aclocal $ACLOCAL_FLAGS
-echo "  autoheader"
-autoheader
+#echo "  autoheader"
+#autoheader
+echo "  libtoolize --automake"
+libtoolize --automake
 echo "  automake --add-missing"
 automake --add-missing 
 echo "  autoconf"

1.24.2.7  +0 -2      vorbis/configure.in

Index: configure.in
===================================================================
RCS file: /usr/local/cvsroot/vorbis/configure.in,v
retrieving revision 1.24.2.6
retrieving revision 1.24.2.7
diff -u -r1.24.2.6 -r1.24.2.7
--- configure.in	2000/10/30 09:21:44	1.24.2.6
+++ configure.in	2000/10/31 18:57:38	1.24.2.7
@@ -156,10 +156,8 @@
 dnl Do substitutions
 dnl --------------------------------------------------
 
-AC_SUBST(LIBS)
 AC_SUBST(DEBUG)
 AC_SUBST(PROFILE)
-AC_SUBST(CC)
 AC_SUBST(pthread_lib)
 
 AC_OUTPUT(Makefile lib/Makefile doc/Makefile doc/vorbisfile/Makefile include/Makefile include/vorbis/Makefile include/vorbis/book/Makefile examples/Makefile)

--- >8 ----
List archives:  http://www.xiph.org/archives/
Ogg project homepage: http://www.xiph.org/ogg/
To unsubscribe from this list, send a message to 'cvs-request at xiph.org'
containing only the word 'unsubscribe' in the body.  No subject is needed.
Unsubscribe messages sent to the list will be ignored/filtered.



More information about the commits mailing list